Package org.eclipse.e4.ui.workbench.renderers.swt

# Class MenuManagerShowProcessor

java.lang.Object
org.eclipse.e4.ui.workbench.renderers.swt.MenuManagerShowProcessor

All Implemented Interfaces:
  `IMenuListener`, `IMenuListener2`

public class MenuManagerShowProcessor extends Object implements IMenuListener2
`MenuManagerShowProcessor` provides hooks for renderer processing before and after the `MenuManager` calls out to its `IMenuManagerListener2` for the `menuAboutToShow` events.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final String`
`DYNAMIC_ELEMENT_STORAGE_KEY`
HashMap key for storage of `MDynamicMenuContribution` elements

## Constructor Summary

Constructors
Constructor
Description
`MenuManagerShowProcessor()`

## Method Summary

Modifier and Type
Method
Description
`void`
`menuAboutToHide(IMenuManager manager)`
Notifies this listener that the menu is about to be hidden by the given menu manager.
`void`
`menuAboutToShow(IMenuManager manager)`
Notifies this listener that the menu is about to be shown by the given menu manager.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DYNAMIC_ELEMENT_STORAGE_KEY

protected static final String DYNAMIC_ELEMENT_STORAGE_KEY
HashMap key for storage of `MDynamicMenuContribution` elements

## Constructor Details

### MenuManagerShowProcessor

public MenuManagerShowProcessor()

## Method Details

### menuAboutToShow

public void menuAboutToShow(IMenuManager manager)
Description copied from interface: `IMenuListener`
Notifies this listener that the menu is about to be shown by the given menu manager.

Specified by:
  `menuAboutToShow` in interface `IMenuListener`
Parameters:
  `manager` - the menu manager

### menuAboutToHide

public void menuAboutToHide(IMenuManager manager)
Description copied from interface: `IMenuListener2`
Notifies this listener that the menu is about to be hidden by the given menu manager.

Specified by:
  `menuAboutToHide` in interface `IMenuListener2`
Parameters:
  `manager` - the menu manager